---
title: XRFrameRequestCallback
slug: Web/API/XRFrameRequestCallback
tags:
  - Fixup spec table
---
<div>{{APIRef}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <code>XRFrameRequestCallback</code> is a callback function passed into {{DOMxRef("XRSession.requestAnimationFrame")}} (part of <a href="/en-US/docs/Web/API/WebXR_API">WebXR API</a>) to obtain the current time and the current {{DOMxRef("XRFrame")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">function <em>XRFrameRequestCallback</em>(time, XRFrame){
  // Process XRFrame here
}
<em>XRSession</em>.requestAnimationFrame(<em>XRFrameRequestCallback</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>{{DOMxRef("DOMHighResTimeStamp")}}</dt>
 <dd>A timestamp corresponding to the returned <code>XRFrame</code>.</dd>
</dl>

<dl>
 <dt>{{DOMxRef("XRFrame")}}</dt>
 <dd>An <code>XRFrame</code> representing a snapshot of the state of all of the tracked objects for the {{DOMxRef("XRSession")}}.</dd>
</dl>

<h3 id="Return_Value">Return Value</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#callbackdef-xrframerequestcallback","XRFrameRequestCallback")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRFrameRequestCallback")}}</div>
